Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.embedded.junit
Class EmbeddedTestSetup

    java.lang.Object
      junit.framework.Assert
          junit.extensions.TestDecorator
              junit.extensions.TestSetup
                  org.jboss.embedded.junit.EmbeddedTestSetup

All Implemented Interfaces:
  junit.framework.Test

    public class EmbeddedTestSetup

extends junit.extensions.TestSetup

comment

Version:
  $Revision: 1.1 $
Author:
  Bill Burke

Field Summary

Fields inherited from class junit.extensions.TestDecorator
`fTest`

Constructor Summary
`EmbeddedTestSetup(junit.framework.Test test)`

Method Summary
`static junit.framework.Test` | `deployClasspath(java.lang.Class testClass, java.lang.String classpaths)` Returns a wrapper that will only bootstrap embedded if VM hasn't already bootstrapped Deploys items represented in classpath as staed in DeploymentGroup.addClasspath
`static junit.framework.Test` | `deployResource(java.lang.Class testClass, java.lang.String... resources)` Returns a wrapper that will only bootstrap embedded if VM hasn't already bootstrapped Deploys items represented in resource list
`static junit.framework.Test` | `getWrapper(java.lang.Class testClass)` Returns a wrapper that will only bootstrap embedded if VM hasn't already bootstrapped
`protected void` | `setUp()`
`protected void` | `tearDown()`
`static void` | `testSetup()`
`static void` | `testTearDown()`

Methods inherited from class junit.extensions.TestSetup
`run`

Methods inherited from class junit.extensions.TestDecorator
`basicRun, countTestCases, getTest, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmbeddedTestSetup

    public EmbeddedTestSetup(junit.framework.Test test)

Method Detail

### setUp

    protected void setUp()

  Overrides:
    `setUp` in class `junit.extensions.TestSetup`

### testSetup

    public static void testSetup()

### testTearDown

    public static void testTearDown()

### tearDown

    protected void tearDown()

  Overrides:
    `tearDown` in class `junit.extensions.TestSetup`

### getWrapper

    public static junit.framework.Test getWrapper(java.lang.Class testClass)

  Returns a wrapper that will only bootstrap embedded if VM hasn't already bootstrapped

  Parameters:
    `testClass` -
  Returns:

### deployClasspath

    public static junit.framework.Test deployClasspath(java.lang.Class testClass,
                                                       java.lang.String classpaths)

  Returns a wrapper that will only bootstrap embedded if VM hasn't already bootstrapped Deploys items represented in classpath as staed in DeploymentGroup.addClasspath

  Parameters:
    `testClass` -
    `classpaths` -
  Returns:

### deployResource

    public static junit.framework.Test deployResource(java.lang.Class testClass,
                                                      java.lang.String... resources)

  Returns a wrapper that will only bootstrap embedded if VM hasn't already bootstrapped Deploys items represented in resource list

  Parameters:
    `testClass` -
    `resources` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD